<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
/**
 * Logout.php
 *
 * This is file for logout of administrator
 *
 * @category	controllers
 * @package		LP cms
 * @link		https://lpcms.net
 * @copyright	2017
 * @license 	MIT License (https://en.wikipedia.org/wiki/MIT_License)
 * @version 	0.1 Beta
 */

/**
 * Logout
 * 
 * This is class for logout of administrator
 * 
 * @author 		Developers of lpcms.net <dev@lpcms.net>
 * @see 		/logout/
 * @version 	0.1 Beta
 */
class Logout extends CI_Controller {
	
	/**
	 * index
	 * 
	 * This is Authorization class
	 *
	 * @access public
	 */
	public function index() {
		
		/**
		 * Check authorization
		 */
		$this -> ischecks -> checkAuthorization();

		/**
		 * Delete admin cookie
		 */
		delete_cookie('admin_id');
		delete_cookie('admin_login');
		delete_cookie('admin_hash');
		
		/**
		 * Redirect
		 */
		redirect(base_url() . 'auth/');
	}
}